unit dllUse1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm156 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form156: TForm156;

implementation

{$R *.dfm}

type
  short = word;
  pshort = ^short;

  TGeoEngCheckDbAvailability = function (pSearchPath: PAnsiChar; pDbName: PAnsiChar;
    pUserDictPath: PAnsiChar; pDbFlags: pshort): short; stdcall;

procedure TForm156.Button1Click(Sender: TObject);
var
  dbFlags: short;
  hLib   : integer;
  hProc  : TGeoEngCheckDbAvailability;
  par1   : string;
  par2   : string;
  retCode: short;
begin
  hLib := LoadLibrary('dlltest.dll');
  Assert(hLib <> 0);
  hProc := GetProcAddress(hLib, 'GeoEngCheckDbAvailability');
  Assert(assigned(hProc));
  par1 := 'Search path';
  par2 := 'dbName';
  retCode := hProc(PAnsiChar(AnsiString(par1)), PAnsiChar(AnsiString(par2)), nil, @dbFlags);
  FreeLibrary(hLib);
  ShowMessage('Library returned ' + IntToStr(retCode));
end;

end.
