library dlltest;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  Windows,
  SysUtils,
  Classes;

{$R *.res}

type
  short = word;
  pshort = ^short;

function GeoEngCheckDbAvailability(pSearchPath: PAnsiChar; pDbName: PAnsiChar;
  pUserDictPath: PAnsiChar; pDbFlags: pshort): short; stdcall;
begin
  MessageBox(0, PChar(Format(
    'Search path: %s'#13#10'DB name: %s'#13#10'User dict path: %s'#13#10'pFlags: %p',
    [AnsiString(pSearchPath), AnsiString(pDbName), AnsiString(pUserDictPath), pointer(pDbFlags)])),
    'DLLTEST', MB_OK);
  Result := 42;
end;

exports
  GeoEngCheckDbAvailability;

begin
end.
